Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000398Frama-CKernel > configurepublic2010-02-06 11:502014-02-12 16:55
Reporterdpariente 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000398: RTE compiled even with ./configure --disable-rte
DescriptionHi,
RTE is compiled even if it is disabled at "configure" time. (ie.: ./configure --disable-rte).
Additional InformationSeems to be related to other ./configure issues (e.g. issue 262). Moving it to Kernel -> configure.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000419closedsignoles Plug-in dev guide: tutorial for kernel integrated plug-in is out-of-date 

-  Notes
(0000707)
signoles (manager)
2010-02-23 16:01

Actually not related to private bts #262 since rte directly patches configure.in in order to call the m4 function "check_plugin".
(0000709)
signoles (manager)
2010-02-23 16:47

The issue is solved now.

I let it opened since the origin of the bug is that section 2.2 (Tutorial for kernel-integrated plug-in) is out-of-date for configure/Makefile stuff.

The issue will be fully resolved when the plug-in development guide will be updated.
(0000711)
signoles (manager)
2010-02-23 18:25

There is now a new issue about Plug-in dev guide out-of-date: see bts 0000419.

- Issue History
Date Modified Username Field Change
2010-02-06 11:50 dpariente New Issue
2010-02-06 11:50 dpariente Status new => assigned
2010-02-06 11:50 dpariente Assigned To => pherrmann
2010-02-06 13:28 pherrmann Additional Information Updated
2010-02-06 13:30 pherrmann Status assigned => acknowledged
2010-02-06 13:30 pherrmann Category Plug-in > RTE => Kernel > configure
2010-02-06 13:30 pherrmann Additional Information Updated
2010-02-07 20:28 signoles Relationship added duplicate of 0000262
2010-02-07 20:28 signoles Status acknowledged => assigned
2010-02-07 20:28 signoles Assigned To pherrmann => virgile
2010-02-23 15:59 signoles Assigned To virgile => signoles
2010-02-23 16:00 signoles Status assigned => confirmed
2010-02-23 16:00 signoles Relationship deleted 0000262
2010-02-23 16:01 signoles Note Added: 0000707
2010-02-23 16:45 svn Checkin
2010-02-23 16:47 signoles Note Added: 0000709
2010-02-23 18:24 signoles Relationship added child of 0000419
2010-02-23 18:25 signoles Note Added: 0000711
2010-02-23 18:25 signoles Status confirmed => resolved
2010-02-23 18:25 signoles Resolution open => fixed
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker